KausateKausate Docs
Api referenceBilling

Get Billing Statements Endpoint

Return monthly credit statement rows derived from the usage ledger.

GET
/v2/billing/statements
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Query Parameters

startMonth?|
endMonth?|

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate

Response Body

application/json

application/json

curl -X GET "https://api.kausate.com/v2/billing/statements" \  -H "Kausate-Version: 2026-05-01"
{
  "orgId": "string",
  "balanceBasis": "usage_ledger",
  "periods": [
    {
      "periodStart": "2019-08-24",
      "periodEnd": "2019-08-24",
      "openingBalance": 0,
      "creditsConsumed": 0,
      "creditsRefunded": 0,
      "netCreditsCharged": 0,
      "closingBalance": 0,
      "eventCount": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Last updated on